Delete a scene
curl --request DELETE \
--url https://api.splat-3d.com/v1/scenes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splat-3d.com/v1/scenes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splat-3d.com/v1/scenes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}Scenes
Delete a scene
Delete a scene. Every call answers 404 for it at once; a daily cleanup removes its files 24 to 48 hours later. An unfinished scene is cancelled first, under the cancel refund rules; if the cancel fails, nothing is deleted.
DELETE
/
v1
/
scenes
/
{id}
Delete a scene
curl --request DELETE \
--url https://api.splat-3d.com/v1/scenes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splat-3d.com/v1/scenes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splat-3d.com/v1/scenes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}{
"error": {
"code": "not_found",
"message": "Scene not found.",
"details": [
{
"field": "iterations",
"value": 15000,
"allowed": {
"min": 3000,
"max": 10000
},
"tier": "standard",
"hint": "iterations=15000 requires the quality tier or higher."
}
]
},
"meta": {
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"period": "2026-10",
"limit": 100,
"field": "scenes_created",
"current": 2
}
}